Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.events
Class JRexMouseEventImpl

    java.lang.Object
      org.mozilla.jrex.dom.events.JRexEventImpl
          org.mozilla.jrex.dom.events.JRexUIEventImpl
              org.mozilla.jrex.dom.events.JRexMouseEventImpl

All Implemented Interfaces:
  Event, MouseEvent, UIEvent

public class JRexMouseEventImpl
extends JRexUIEventImpl
implements MouseEvent

A class implementing org.w3c.dom.events.MouseEvent interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `MouseEvent`

Field Summary

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`boolean` | `getAltKey()`
`short` | `getButton()`
`int` | `getClientX()`
`int` | `getClientY()`
`boolean` | `getCtrlKey()`
`boolean` | `getMetaKey()`
`EventTarget` | `getRelatedTarget()`
`int` | `getScreenX()`
`int` | `getScreenY()`
`boolean` | `getShiftKey()`
`void` | `initMouseEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg, int screenXArg, int screenYArg, int clientXArg, int clientYArg, boolean ctrlKeyArg, boolean altKeyArg, boolean shiftKeyArg, boolean metaKeyArg, short buttonArg, EventTarget relatedTargetArg)`

Methods inherited from class org.mozilla.jrex.dom.events.JRexUIEventImpl
`getDetail, getView, initUIEvent`

Methods inherited from class org.mozilla.jrex.dom.events.JRexEventImpl
`dispose, equals, finalize, getBubbles, getCancelable, getCurrentTarget, getEventPhase, getExplicitOriginalTarget, getOriginalTarget, getTarget, getTimeStamp, getType, hashCode, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Method Detail

### getScreenX

    public int getScreenX()

  Specified by:
    `getScreenX` in interface `MouseEvent`

### getScreenY

    public int getScreenY()

  Specified by:
    `getScreenY` in interface `MouseEvent`

### getClientX

    public int getClientX()

  Specified by:
    `getClientX` in interface `MouseEvent`

### getClientY

    public int getClientY()

  Specified by:
    `getClientY` in interface `MouseEvent`

### getCtrlKey

    public boolean getCtrlKey()

  Specified by:
    `getCtrlKey` in interface `MouseEvent`

### getShiftKey

    public boolean getShiftKey()

  Specified by:
    `getShiftKey` in interface `MouseEvent`

### getAltKey

    public boolean getAltKey()

  Specified by:
    `getAltKey` in interface `MouseEvent`

### getMetaKey

    public boolean getMetaKey()

  Specified by:
    `getMetaKey` in interface `MouseEvent`

### getButton

    public short getButton()

  Specified by:
    `getButton` in interface `MouseEvent`

### getRelatedTarget

    public EventTarget getRelatedTarget()

  Specified by:
    `getRelatedTarget` in interface `MouseEvent`

### initMouseEvent

    public void initMouseEvent(String typeArg,
                               boolean canBubbleArg,
                               boolean cancelableArg,
                               AbstractView viewArg,
                               int detailArg,
                               int screenXArg,
                               int screenYArg,
                               int clientXArg,
                               int clientYArg,
                               boolean ctrlKeyArg,
                               boolean altKeyArg,
                               boolean shiftKeyArg,
                               boolean metaKeyArg,
                               short buttonArg,
                               EventTarget relatedTargetArg)

  Specified by:
    `initMouseEvent` in interface `MouseEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.